Skip to content

Instantly share code, notes, and snippets.

@zeha
Last active June 23, 2024 10:28
Show Gist options
  • Save zeha/34ac7420acd0d39827882941f64a1dff to your computer and use it in GitHub Desktop.
Save zeha/34ac7420acd0d39827882941f64a1dff to your computer and use it in GitHub Desktop.
diff -Nru kexec-tools-2.0.27/debian/changelog kexec-tools-2.0.27/debian/changelog
--- kexec-tools-2.0.27/debian/changelog 2024-06-12 00:36:59.000000000 +0200
+++ kexec-tools-2.0.27/debian/changelog 2024-06-23 12:26:20.000000000 +0200
@@ -1,3 +1,9 @@
+kexec-tools (1:2.0.27-2) UNRELEASED; urgency=medium
+
+ * TBD
+
+ -- Chris Hofstaedtler <zeha@debian.org> Sun, 23 Jun 2024 12:26:20 +0200
+
kexec-tools (1:2.0.27-1.2) unstable; urgency=medium
* Non-maintainer upload.
diff -Nru kexec-tools-2.0.27/debian/control kexec-tools-2.0.27/debian/control
--- kexec-tools-2.0.27/debian/control 2023-10-04 23:20:54.000000000 +0200
+++ kexec-tools-2.0.27/debian/control 2024-06-23 12:25:56.000000000 +0200
@@ -10,6 +10,12 @@
Package: kexec-tools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, dpkg (>= 1.15.7.2)
+Conflicts:
+ molly-guards (<< 0.8.4),
+# begin-remove-after: released:forky
+# bfh-container, progress-linux-container divert coldreboot, but installing kexec-tools in a container seems nonsensical.
+ bfh-container, progress-linux-container
+# end-remove-after
Description: tools to support fast kexec reboots
This package provides tools to load a kernel into memory and then
"reboot" directly into that kernel using the kexec system call,
diff -Nru kexec-tools-2.0.27/debian/kexec-tools.postinst kexec-tools-2.0.27/debian/kexec-tools.postinst
--- kexec-tools-2.0.27/debian/kexec-tools.postinst 2023-10-04 22:02:10.000000000 +0200
+++ kexec-tools-2.0.27/debian/kexec-tools.postinst 2024-06-23 11:56:13.000000000 +0200
@@ -5,6 +5,21 @@
set -e
+# begin-remove-after: released:forky
+if [ "$1" = "configure" ]; then
+ fn=$(dpkg-divert --truename "/usr/sbin/coldreboot")
+ if ! test -h "$fn"; then
+ if test "$fn" = "/usr/sbin/coldreboot"; then
+ echo "/usr/sbin/coldreboot vanished in /usr-merge upgrade. Restoring."
+ else
+ echo "/usr/sbin/coldreboot (diverted to $fn) vanished in /usr-merge upgrade. Restoring."
+ fi
+ cp /usr/share/kexec-tools/coldreboot-backup "$fn"
+ chmod 0755 "$fn"
+ fi
+fi
+# end-remove-after
+
update_param() {
eval old=\"'$'$1\"
eval new=\"'$'new_$1\"
diff -Nru kexec-tools-2.0.27/debian/rules kexec-tools-2.0.27/debian/rules
--- kexec-tools-2.0.27/debian/rules 2024-06-12 00:32:36.000000000 +0200
+++ kexec-tools-2.0.27/debian/rules 2024-06-23 12:19:47.000000000 +0200
@@ -65,6 +65,12 @@
install -D -m 0755 debian/kexec-tools/usr/sbin/kexec debian/kexec-tools-udeb/usr/sbin/kexec
+# begin-remove-after: released:forky
+ # Install a backup copy of coldreboot, as it can get lost on upgrades (#1074086).
+ # Skip +x mode, to avoid users starting to depend on this file.
+ install -D -m 0644 debian/kexec-tools/usr/sbin/coldreboot debian/kexec-tools/usr/share/kexec-tools/coldreboot-backup
+# end-remove-after
+
binary-indep: build install
# Build architecture-dependent files here.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment